Package org.tmatesoft.svn.core.auth

# Class SVNSSLAuthentication

java.lang.Object
org.tmatesoft.svn.core.auth.SVNAuthentication
org.tmatesoft.svn.core.auth.SVNSSLAuthentication

public class SVNSSLAuthentication extends SVNAuthentication
The SVNSSLAuthentication class represents user's credentials used to authenticate a user in secure connections. Used along with the `SSL` credential kind.

Since:
  1.2
Version:
  1.3
Author:
  TMate Software Ltd.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`MSCAPI`
`static final String`
`SSL`

## Constructor Summary

Constructors
Constructor
Description
`SVNSSLAuthentication(File certFile, String password, boolean storageAllowed)`
Deprecated.
Use `method`
`SVNSSLAuthentication(File certFile, String password, boolean storageAllowed, SVNURL url, boolean isPartial)`
Deprecated.
Use `method`
`SVNSSLAuthentication(String sslKind, String alias, boolean storageAllowed, SVNURL url, boolean isPartial)`
Deprecated.
Use `newInstance(String, String, boolean, SVNURL, boolean)` method

## Method Summary

Modifier and Type
Method
Description
`SVNAuthentication`
`copy()`
Creates a deep copy of this credentials object.
`void`
`dismissSensitiveData()`
Disposes sensitive data (e.g. password) stored in this object.
`String`
`getAlias()`
Only used for MSCAPI
`byte[]`
`getCertificate()`
Returns certificate raw data
`File`
`getCertificateFile()`
Returns a user's certificate file.
`String`
`getCertificatePath()`
`String`
`getPassword()`
Deprecated.
Use `getPasswordValue()` method
`char[]`
`getPasswordValue()`
Returns password.
`String`
`getSSLKind()`
`static boolean`
`isCertificatePath(String path)`
`static SVNSSLAuthentication`
`newInstance(byte[] cert, char[] password, boolean storageAllowed, SVNURL url, boolean isPartial)`
`static SVNSSLAuthentication`
`newInstance(File certFile, char[] password, boolean storageAllowed, SVNURL url, boolean isPartial)`
`static SVNSSLAuthentication`
`newInstance(String kind, String alias, boolean storageAllowed, SVNURL url, boolean isPartial)`
`void`
`setCertificatePath(String path)`

### Methods inherited from class org.tmatesoft.svn.core.auth.SVNAuthentication

`copyOf, getKind, getURL, getUserName, isPartial, isStorageAllowed`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### MSCAPI

public static final String MSCAPI

See Also:
  - Constant Field Values

### SSL

public static final String SSL

See Also:
  - Constant Field Values

## Constructor Details

### SVNSSLAuthentication

public SVNSSLAuthentication(File certFile, String password, boolean storageAllowed)
Deprecated.
Use `method`

### SVNSSLAuthentication

public SVNSSLAuthentication(File certFile, String password, boolean storageAllowed, SVNURL url, boolean isPartial)
Deprecated.
Use `method`

### SVNSSLAuthentication

public SVNSSLAuthentication(String sslKind, String alias, boolean storageAllowed, SVNURL url, boolean isPartial)
Deprecated.
Use `newInstance(String, String, boolean, SVNURL, boolean)` method

## Method Details

### newInstance

public static SVNSSLAuthentication newInstance(File certFile, char[] password, boolean storageAllowed, SVNURL url, boolean isPartial)

Parameters:
  `certFile` - user's certificate file
  `password` - user's password
  `storageAllowed` - to store or not this credential in a credentials cache
  `url` - url these credentials are applied to
  `isPartial` -
Returns:
  authentication object

### newInstance

public static SVNSSLAuthentication newInstance(byte[] cert, char[] password, boolean storageAllowed, SVNURL url, boolean isPartial)

Parameters:
  `cert` - user's certificate
  `password` - user's password
  `storageAllowed` - to store or not this credential in a credentials cache
  `url` - url these credentials are applied to
  `isPartial` -
Returns:
  authentication object

### newInstance

public static SVNSSLAuthentication newInstance(String kind, String alias, boolean storageAllowed, SVNURL url, boolean isPartial)

Parameters:
  `kind` - authentication kind (`MSCAPI` or `SSL`
  `alias` - alias
  `storageAllowed` - to store or not this credential in a credentials cache
  `url` - url these credentials are applied to
  `isPartial` -
Returns:
  authentication object

### getPassword

public String getPassword()
Deprecated.
Use `getPasswordValue()` method
Returns password.

Returns:
  password

### getCertificate

public byte[] getCertificate()
Returns certificate raw data

Returns:
  certificate data

### getPasswordValue

public char[] getPasswordValue()
Returns password.

Returns:
  password
Since:
  1.8.9

### getCertificateFile

public File getCertificateFile()
Returns a user's certificate file.

Returns:
  certificate file

### getSSLKind

public String getSSLKind()

### getAlias

public String getAlias()
Only used for MSCAPI

### getCertificatePath

public String getCertificatePath()

### setCertificatePath

public void setCertificatePath(String path)

### isCertificatePath

public static boolean isCertificatePath(String path)

### dismissSensitiveData

public void dismissSensitiveData()
Description copied from class: `SVNAuthentication`
Disposes sensitive data (e.g. password) stored in this object.

Overrides:
  `dismissSensitiveData` in class `SVNAuthentication`

### copy

public SVNAuthentication copy()
Description copied from class: `SVNAuthentication`
Creates a deep copy of this credentials object. Sensitive data (e.g. password) is copied too.

Overrides:
  `copy` in class `SVNAuthentication`
Returns:
  copy of this object.